Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.documentnavigation.destination
Class PDPageFitRectangleDestination

    java.lang.Object
      org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
          org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination
              org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageFitRectangleDestination

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

public class PDPageFitRectangleDestination
extends PDPageDestination

This represents a destination to a page at a y location and the width is magnified to just fit on the screen.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Field Summary
`protected static String` | `TYPE` The type of this destination.

Fields inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination
`array`

Constructor Summary
`PDPageFitRectangleDestination()` Default constructor.
`PDPageFitRectangleDestination(COSArray arr)` Constructor from an existing destination array.

Method Summary
`int` | `getBottom()` Get the bottom y coordinate.
`int` | `getLeft()` Get the left x coordinate.
`int` | `getRight()` Get the right x coordinate.
`int` | `getTop()` Get the top y coordinate.
`void` | `setBottom(int y)` Set the bottom y-coordinate, a value of -1 implies that the current y-coordinate will be used.
`void` | `setLeft(int x)` Set the left x-coordinate, a value of -1 implies that the current x-coordinate will be used.
`void` | `setRight(int x)` Set the right x-coordinate, a value of -1 implies that the current x-coordinate will be used.
`void` | `setTop(int y)` Set the top y-coordinate, a value of -1 implies that the current y-coordinate will be used.

Methods inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination
`getCOSArray, getCOSObject, getPage, getPageNumber, setPage, setPageNumber`

Methods inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
`create, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    protected static final String TYPE

  The type of this destination.

  See Also:
    Constant Field Values

Constructor Detail

### PDPageFitRectangleDestination

    public PDPageFitRectangleDestination()

  Default constructor.

### PDPageFitRectangleDestination

    public PDPageFitRectangleDestination(COSArray arr)

  Constructor from an existing destination array.

Parameters:
  `arr` - The destination array.

Method Detail

### getLeft

    public int getLeft()

  Get the left x coordinate. A return value of -1 implies that the current x-coordinate will be used.

  Returns:
    The left x coordinate.

### setLeft

    public void setLeft(int x)

  Set the left x-coordinate, a value of -1 implies that the current x-coordinate will be used.

  Parameters:
    `x` - The left x coordinate.

### getBottom

    public int getBottom()

  Get the bottom y coordinate. A return value of -1 implies that the current y-coordinate will be used.

  Returns:
    The bottom y coordinate.

### setBottom

    public void setBottom(int y)

  Set the bottom y-coordinate, a value of -1 implies that the current y-coordinate will be used.

  Parameters:
    `y` - The bottom y coordinate.

### getRight

    public int getRight()

  Get the right x coordinate. A return value of -1 implies that the current x-coordinate will be used.

  Returns:
    The right x coordinate.

### setRight

    public void setRight(int x)

  Set the right x-coordinate, a value of -1 implies that the current x-coordinate will be used.

  Parameters:
    `x` - The right x coordinate.

### getTop

    public int getTop()

  Get the top y coordinate. A return value of -1 implies that the current y-coordinate will be used.

  Returns:
    The top y coordinate.

### setTop

    public void setTop(int y)

  Set the top y-coordinate, a value of -1 implies that the current y-coordinate will be used.

  Parameters:
    `y` - The top ycoordinate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD